AutoCAD 2004, 2005, and 2006 Installer

Download this installer to use Design Master Photometrics in AutoCAD 2004, 2005, or 2006.

Design Master Photometrics for AutoCAD 2004, 2005, and 2006

The latest version of Design Master Photometrics requires AutoCAD 2007 or later or the current version of BricsCAD. Go to the Support page for information on installing the most recent version of Design Master Photometrics.